import random
import PIL
import torchvision.transforms as tf
import torchvision.transforms.functional as F

# Load the image
image = PIL.Image.open(...)

# Gaussian blur
# with a randomly sampled radius
radius = random.uniform(.1,2.)
gaussian = PIL.ImageFilter.GaussianBlur(radius)
image = image.filter(gaussian)

# Colour jitter
# with probability 0.5
if 0.5 > random.random():
	jitter = tf.ColorJitter(brightness=0.4,
	                        contrast=0.4,
	                        saturation=0.4,
	                        hue=0.1)
	image = jitter(image)

# Convert to greyscale
# with probability 0.2
if 0.2 > random.random():
	image = F.to_grayscale(image)